%define module	XML-SAX
%define version 0.05
%define release 1mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Patch:		%{name}-0.05-build.patch.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}buildroot/
Requires:	perl >= 5.600
BuildArch:	noarch

%description
%{module} module for perl
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -q -n %{module}-%{version}
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

chmod 644 Changes MANIFEST README

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc Changes MANIFEST README

%changelog
* Tue Jan 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.05-1mdk
- initial RPM
- include patch for building.
